import { OnInit } from '@angular/core';
import { UxAppShellService } from '@eui/core';
import * as i0 from "@angular/core";
export declare class EuiAppBreadcrumbsComponent implements OnInit {
    private asService;
    get cssClasses(): string;
    role: string;
    constructor(asService: UxAppShellService);
    ngOnInit(): void;
    private getCssClasses;
    static ɵfac: i0.ɵɵFactoryDef<EuiAppBreadcrumbsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiAppBreadcrumbsComponent, "eui-app-breadcrumbs", never, {}, {}, never, ["*"]>;
}
